Bug 56974 - enscript packaging leaves the /usr/share/enscript directory on uninstallation
Summary: enscript packaging leaves the /usr/share/enscript directory on uninstallation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: enscript   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-01 20:40 UTC by Gregory McLean
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-19 15:18:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gregory McLean 2001-12-01 20:40:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011130

Description of problem:
rpm -e enscript will leave /usr/share/enscript (trivial but lots of
packages do this)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i enscript
2. notice all the files it installs
3. rpm -e enscript
4. ls -l /usr/share/enscript (its still there)

Actual Results:  enscript package leaves a directory it created after
uninstallation.

Expected Results:  enscript should clean up after itself.

Additional info:

Easy fix:

in the enscript.spec in the %files section.

%dir %{_datadir}/enscript

Comment 1 Tim Waugh 2001-12-19 15:18:11 UTC
Thanks for the report.  Fixing.


Comment 2 Tim Waugh 2002-01-03 15:45:56 UTC
Fixed in 1.6.1-15 in rawhide.



Note You need to log in before you can comment on or make changes to this bug.